Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceNotifications

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/notification")
      public interface ServiceNotifications
      extends org.fusesource.restygwt.client.RestService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​(List<NotificationBoxDTO> selection, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `getAllowedUsersAndGroups​(String componentId, String contentId, org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)` |
    `void` | `getUserNotifications​(int callNumber, org.fusesource.restygwt.client.MethodCallback<StreamingList<NotificationReceivedDTO>> callback)` |
    `void` | `getUserSendedNotifications​(int callNumber, org.fusesource.restygwt.client.MethodCallback<StreamingList<NotificationSendedDTO>> callback)` |
    `void` | `markAsRead​(List<NotificationBoxDTO> selection, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `markAsReaden​(long id, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `send​(NotificationToSendDTO notification, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |

- - ### Method Detail

    - #### getAllowedUsersAndGroups

          @GET
          @Produces("application/json")
          @Path("allowedUsersAndGroups/{componentId}/{contentId}")
          void getAllowedUsersAndGroups​(@PathParam("componentId")
                                        String componentId,
                                        @PathParam("contentId")
                                        String contentId,
                                        org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)

    - #### markAsReaden

          @PUT
          @Produces("application/json")
          @Consumes("application/json")
          @Path("readed/{id}")
          void markAsReaden​(@PathParam("id")
                            long id,
                            org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### markAsRead

          @PUT
          @Produces("application/json")
          @Consumes("application/json")
          @Path("readed/")
          void markAsRead​(List<NotificationBoxDTO> selection,
                          org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### delete

          @DELETE
          @Produces("application/json")
          @Consumes("application/json")
          @Path("")
          void delete​(List<NotificationBoxDTO> selection,
                      org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### send

          @PUT
          @Produces("application/json")
          @Consumes("application/json")
          @Path("send/")
          void send​(NotificationToSendDTO notification,
                    org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### getUserSendedNotifications

          @GET
          @Produces("application/json")
          @Path("sended/{callNumber}")
          void getUserSendedNotifications​(@PathParam("callNumber")
                                          int callNumber,
                                          org.fusesource.restygwt.client.MethodCallback<StreamingList<NotificationSendedDTO>> callback)

    - #### getUserNotifications

          @GET
          @Produces("application/json")
          @Path("received/{callNumber}")
          void getUserNotifications​(@PathParam("callNumber")
                                    int callNumber,
                                    org.fusesource.restygwt.client.MethodCallback<StreamingList<NotificationReceivedDTO>> callback)